-- This file is for event handling, do not edit unless you know what you're doing.
-- Event List
-- OnKeyDown - Called when a key is pressed.
-- OnKeyUp - Called when a key is release.
-- OnEventTick -- Called often inside the windows message queue on the main thread.

Events = {}
Events.ModName = "Events"
Events.Author = "Sorien"
Events.Version = 1.1
Events.EventTable = {}

function Events.Register(modName, eventName, func)
    eventKey = modName .. "_" .. eventName
    Events.EventTable[eventKey] = func
end

function Events.Unregister(modName, eventName)
    eventKey = modName .. "_" .. eventName
    Events.EventTable[eventKey] = nil
end

function Events.TriggerEvent(eventName, ...)
    for key, func in pairs(Events.EventTable) do
        if string.find(key, eventName) then
            Events.EventTable[key](table.unpack({ ... }))
        end
    end
end
